[commits] r182 - selinux-site/trunk/buildout/bin

tim at mail.se.linux.org tim at mail.se.linux.org
Mon Mars 31 09:54:37 CEST 2008


Author: tim
Date: 2008-03-31 09:54:36 +0200 (Mon, 31 Mar 2008)
New Revision: 182

Added:
   selinux-site/trunk/buildout/bin/control
Log:
Add script that starts/stops/restarts all zope clients. The ZEO server is not part of this start/stop procedure as it rarely has to be restarted.


Added: selinux-site/trunk/buildout/bin/control
===================================================================
--- selinux-site/trunk/buildout/bin/control	                        (rev 0)
+++ selinux-site/trunk/buildout/bin/control	2008-03-31 07:54:36 UTC (rev 182)
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+set -e
+
+INSTANCES="zopeclient1 zopeclient2 zopeclient3 zopeclient4"
+
+case "$1" in
+    start)
+        echo Starting Plone
+        for i in $INSTANCES do
+           echo "starting $i ..."
+           $mydir/$i start
+           /bin/sleep 3s
+           echo
+        done
+        ;;
+
+    stop)
+        echo Stopping Plone
+        for i in $INSTANCES do
+           echo "stopping $i ..."
+           $mydir/$i stop
+           echo
+        done
+        ;;
+
+    restart)
+        for i in $INSTANCES do
+           echo "Restarting $i ..."
+           $mydir/$i stop
+           /bin/sleep 2s
+           $mydir/$i start
+           echo
+        done
+        ;;
+
+    *)
+        echo "Usage: $0 (start|stop|restart)" >&2
+        exit 1
+        ;;
+esac
+
+exit 0


Property changes on: selinux-site/trunk/buildout/bin/control
___________________________________________________________________
Name: svn:executable
   + *




More information about the commits mailing list